This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 731435 - (CVE-2011-2932) CVE-2011-2932 rubygem-activesupport: XSS vulnerability in escaping function (Ruby on Rails)
CVE-2011-2932 rubygem-activesupport: XSS vulnerability in escaping function (...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110816,reported=20110812,sou...
: Security
Depends On: 731451 731440 731441 731449 731450
Blocks: 732542
  Show dependency treegraph
 
Reported: 2011-08-17 12:36 EDT by Vincent Danen
Modified: 2016-03-04 05:57 EST (History)
10 users (show)

See Also:
Fixed In Version: rubygem-activesupport 2.3.13, rubygem-activesupport 3.0.10, rubygem-activesupport 3.1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-16 04:48:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-08-17 12:36:30 EDT
An XSS vulnerability in the escaping code used by Ruby on Rails was reported [1] where, using a specially crafted malformed unicode string, an attacker can bypass the escaping code.  Due to a bug in the Ruby 1.8 regular expression code, the Ruby on Rails replacement for ERB::Util.h will fail to escape certain malformed unicode strings, which could then be interpreted as HTML by some browsers.  This is corrected in upstream 3.0.10, 2.3.13, and 3.1.0rc5 versions and only affects platforms using Ruby 1.8.x (Ruby 1.9.x renders this ineffective).

Patches are available in the advisory [1] and in git [2].

[1] http://groups.google.com/group/rubyonrails-security/browse_thread/thread/56bffb5923ab1195
[2] https://github.com/rails/rails/commit/bfc432574d0b141fd7fe759edfe9b6771dd306bd
Comment 2 Vincent Danen 2011-08-17 13:21:14 EDT
This flaw is rubygems-activesupport, not rubygem-rails.
Comment 3 Vincent Danen 2011-08-17 13:26:56 EDT
Created rubygem-activesupport tracking bugs for this issue

Affects: fedora-all [bug 731449]
Affects: epel-5 [bug 731450]
Affects: epel-6 [bug 731451]
Comment 5 Vincent Danen 2011-08-30 00:22:05 EDT
This issue has been assigned the name CVE-2011-2932:

http://www.openwall.com/lists/oss-security/2011/08/19/11
Comment 6 Huzaifa S. Sidhpurwala 2011-09-08 01:36:10 EDT
This issue has addressed in Fedora-14 and Fedora-15 via the following advisories:

https://admin.fedoraproject.org/updates/rubygem-activesupport-2.3.8-4.fc14
https://admin.fedoraproject.org/updates/rubygem-activesupport-3.0.5-4.fc15
Comment 7 Fedora Update System 2014-11-15 23:17:05 EST
rubygem-actionpack-2.3.18-1.el5, rubygem-activerecord-2.3.18-1.el5, rubygem-activesupport-2.3.18-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.